ENH: use OPENGL_LIBRARY_PATH as additional search path
[cmake.git] / configure
blobb3817bd490e353f1d55df8fe9bb36881ef7d27c3
1 #! /bin/sh
3 # Guess values for system-dependent variables and create Makefiles.
4 # Generated automatically using autoconf version 2.13
5 # Copyright (C) 1992, 93, 94, 95, 96 Free Software Foundation, Inc.
7 # This configure script is free software; the Free Software Foundation
8 # gives unlimited permission to copy, distribute and modify it.
10 # Defaults:
11 ac_help=
12 ac_default_prefix=/usr/local
13 # Any additions from configure.in:
15 # Initialize some variables set by options.
16 # The variables have the same names as the options, with
17 # dashes changed to underlines.
18 build=NONE
19 cache_file=./config.cache
20 exec_prefix=NONE
21 host=NONE
22 no_create=
23 nonopt=NONE
24 no_recursion=
25 prefix=NONE
26 program_prefix=NONE
27 program_suffix=NONE
28 program_transform_name=s,x,x,
29 silent=
30 site=
31 srcdir=
32 target=NONE
33 verbose=
34 x_includes=NONE
35 x_libraries=NONE
36 bindir='${exec_prefix}/bin'
37 sbindir='${exec_prefix}/sbin'
38 libexecdir='${exec_prefix}/libexec'
39 datadir='${prefix}/share'
40 sysconfdir='${prefix}/etc'
41 sharedstatedir='${prefix}/com'
42 localstatedir='${prefix}/var'
43 libdir='${exec_prefix}/lib'
44 includedir='${prefix}/include'
45 oldincludedir='/usr/include'
46 infodir='${prefix}/info'
47 mandir='${prefix}/man'
49 # Initialize some other variables.
50 subdirs=
51 MFLAGS= MAKEFLAGS=
52 SHELL=${CONFIG_SHELL-/bin/sh}
53 # Maximum number of lines to put in a shell here document.
54 ac_max_here_lines=12
56 ac_prev=
57 for ac_option
60 # If the previous option needs an argument, assign it.
61 if test -n "$ac_prev"; then
62 eval "$ac_prev=\$ac_option"
63 ac_prev=
64 continue
67 case "$ac_option" in
68 -*=*) ac_optarg=`echo "$ac_option" | sed 's/[-_a-zA-Z0-9]*=//'` ;;
69 *) ac_optarg= ;;
70 esac
72 # Accept the important Cygnus configure options, so we can diagnose typos.
74 case "$ac_option" in
76 -bindir | --bindir | --bindi | --bind | --bin | --bi)
77 ac_prev=bindir ;;
78 -bindir=* | --bindir=* | --bindi=* | --bind=* | --bin=* | --bi=*)
79 bindir="$ac_optarg" ;;
81 -build | --build | --buil | --bui | --bu)
82 ac_prev=build ;;
83 -build=* | --build=* | --buil=* | --bui=* | --bu=*)
84 build="$ac_optarg" ;;
86 -cache-file | --cache-file | --cache-fil | --cache-fi \
87 | --cache-f | --cache- | --cache | --cach | --cac | --ca | --c)
88 ac_prev=cache_file ;;
89 -cache-file=* | --cache-file=* | --cache-fil=* | --cache-fi=* \
90 | --cache-f=* | --cache-=* | --cache=* | --cach=* | --cac=* | --ca=* | --c=*)
91 cache_file="$ac_optarg" ;;
93 -datadir | --datadir | --datadi | --datad | --data | --dat | --da)
94 ac_prev=datadir ;;
95 -datadir=* | --datadir=* | --datadi=* | --datad=* | --data=* | --dat=* \
96 | --da=*)
97 datadir="$ac_optarg" ;;
99 -disable-* | --disable-*)
100 ac_feature=`echo $ac_option|sed -e 's/-*disable-//'`
101 # Reject names that are not valid shell variable names.
102 if test -n "`echo $ac_feature| sed 's/[-a-zA-Z0-9_]//g'`"; then
103 { echo "configure: error: $ac_feature: invalid feature name" 1>&2; exit 1; }
105 ac_feature=`echo $ac_feature| sed 's/-/_/g'`
106 eval "enable_${ac_feature}=no" ;;
108 -enable-* | --enable-*)
109 ac_feature=`echo $ac_option|sed -e 's/-*enable-//' -e 's/=.*//'`
110 # Reject names that are not valid shell variable names.
111 if test -n "`echo $ac_feature| sed 's/[-_a-zA-Z0-9]//g'`"; then
112 { echo "configure: error: $ac_feature: invalid feature name" 1>&2; exit 1; }
114 ac_feature=`echo $ac_feature| sed 's/-/_/g'`
115 case "$ac_option" in
116 *=*) ;;
117 *) ac_optarg=yes ;;
118 esac
119 eval "enable_${ac_feature}='$ac_optarg'" ;;
121 -exec-prefix | --exec_prefix | --exec-prefix | --exec-prefi \
122 | --exec-pref | --exec-pre | --exec-pr | --exec-p | --exec- \
123 | --exec | --exe | --ex)
124 ac_prev=exec_prefix ;;
125 -exec-prefix=* | --exec_prefix=* | --exec-prefix=* | --exec-prefi=* \
126 | --exec-pref=* | --exec-pre=* | --exec-pr=* | --exec-p=* | --exec-=* \
127 | --exec=* | --exe=* | --ex=*)
128 exec_prefix="$ac_optarg" ;;
130 -gas | --gas | --ga | --g)
131 # Obsolete; use --with-gas.
132 with_gas=yes ;;
134 -help | --help | --hel | --he)
135 # Omit some internal or obsolete options to make the list less imposing.
136 # This message is too long to be a string in the A/UX 3.1 sh.
137 cat << EOF
138 Usage: configure [options] [host]
139 Options: [defaults in brackets after descriptions]
140 Configuration:
141 --cache-file=FILE cache test results in FILE
142 --help print this message
143 --no-create do not create output files
144 --quiet, --silent do not print \`checking...' messages
145 --version print the version of autoconf that created configure
146 Directory and file names:
147 --prefix=PREFIX install architecture-independent files in PREFIX
148 [$ac_default_prefix]
149 --exec-prefix=EPREFIX install architecture-dependent files in EPREFIX
150 [same as prefix]
151 --bindir=DIR user executables in DIR [EPREFIX/bin]
152 --sbindir=DIR system admin executables in DIR [EPREFIX/sbin]
153 --libexecdir=DIR program executables in DIR [EPREFIX/libexec]
154 --datadir=DIR read-only architecture-independent data in DIR
155 [PREFIX/share]
156 --sysconfdir=DIR read-only single-machine data in DIR [PREFIX/etc]
157 --sharedstatedir=DIR modifiable architecture-independent data in DIR
158 [PREFIX/com]
159 --localstatedir=DIR modifiable single-machine data in DIR [PREFIX/var]
160 --libdir=DIR object code libraries in DIR [EPREFIX/lib]
161 --includedir=DIR C header files in DIR [PREFIX/include]
162 --oldincludedir=DIR C header files for non-gcc in DIR [/usr/include]
163 --infodir=DIR info documentation in DIR [PREFIX/info]
164 --mandir=DIR man documentation in DIR [PREFIX/man]
165 --srcdir=DIR find the sources in DIR [configure dir or ..]
166 --program-prefix=PREFIX prepend PREFIX to installed program names
167 --program-suffix=SUFFIX append SUFFIX to installed program names
168 --program-transform-name=PROGRAM
169 run sed PROGRAM on installed program names
171 cat << EOF
172 Host type:
173 --build=BUILD configure for building on BUILD [BUILD=HOST]
174 --host=HOST configure for HOST [guessed]
175 --target=TARGET configure for TARGET [TARGET=HOST]
176 Features and packages:
177 --disable-FEATURE do not include FEATURE (same as --enable-FEATURE=no)
178 --enable-FEATURE[=ARG] include FEATURE [ARG=yes]
179 --with-PACKAGE[=ARG] use PACKAGE [ARG=yes]
180 --without-PACKAGE do not use PACKAGE (same as --with-PACKAGE=no)
181 --x-includes=DIR X include files are in DIR
182 --x-libraries=DIR X library files are in DIR
184 if test -n "$ac_help"; then
185 echo "--enable and --with options recognized:$ac_help"
187 exit 0 ;;
189 -host | --host | --hos | --ho)
190 ac_prev=host ;;
191 -host=* | --host=* | --hos=* | --ho=*)
192 host="$ac_optarg" ;;
194 -includedir | --includedir | --includedi | --included | --include \
195 | --includ | --inclu | --incl | --inc)
196 ac_prev=includedir ;;
197 -includedir=* | --includedir=* | --includedi=* | --included=* | --include=* \
198 | --includ=* | --inclu=* | --incl=* | --inc=*)
199 includedir="$ac_optarg" ;;
201 -infodir | --infodir | --infodi | --infod | --info | --inf)
202 ac_prev=infodir ;;
203 -infodir=* | --infodir=* | --infodi=* | --infod=* | --info=* | --inf=*)
204 infodir="$ac_optarg" ;;
206 -libdir | --libdir | --libdi | --libd)
207 ac_prev=libdir ;;
208 -libdir=* | --libdir=* | --libdi=* | --libd=*)
209 libdir="$ac_optarg" ;;
211 -libexecdir | --libexecdir | --libexecdi | --libexecd | --libexec \
212 | --libexe | --libex | --libe)
213 ac_prev=libexecdir ;;
214 -libexecdir=* | --libexecdir=* | --libexecdi=* | --libexecd=* | --libexec=* \
215 | --libexe=* | --libex=* | --libe=*)
216 libexecdir="$ac_optarg" ;;
218 -localstatedir | --localstatedir | --localstatedi | --localstated \
219 | --localstate | --localstat | --localsta | --localst \
220 | --locals | --local | --loca | --loc | --lo)
221 ac_prev=localstatedir ;;
222 -localstatedir=* | --localstatedir=* | --localstatedi=* | --localstated=* \
223 | --localstate=* | --localstat=* | --localsta=* | --localst=* \
224 | --locals=* | --local=* | --loca=* | --loc=* | --lo=*)
225 localstatedir="$ac_optarg" ;;
227 -mandir | --mandir | --mandi | --mand | --man | --ma | --m)
228 ac_prev=mandir ;;
229 -mandir=* | --mandir=* | --mandi=* | --mand=* | --man=* | --ma=* | --m=*)
230 mandir="$ac_optarg" ;;
232 -nfp | --nfp | --nf)
233 # Obsolete; use --without-fp.
234 with_fp=no ;;
236 -no-create | --no-create | --no-creat | --no-crea | --no-cre \
237 | --no-cr | --no-c)
238 no_create=yes ;;
240 -no-recursion | --no-recursion | --no-recursio | --no-recursi \
241 | --no-recurs | --no-recur | --no-recu | --no-rec | --no-re | --no-r)
242 no_recursion=yes ;;
244 -oldincludedir | --oldincludedir | --oldincludedi | --oldincluded \
245 | --oldinclude | --oldinclud | --oldinclu | --oldincl | --oldinc \
246 | --oldin | --oldi | --old | --ol | --o)
247 ac_prev=oldincludedir ;;
248 -oldincludedir=* | --oldincludedir=* | --oldincludedi=* | --oldincluded=* \
249 | --oldinclude=* | --oldinclud=* | --oldinclu=* | --oldincl=* | --oldinc=* \
250 | --oldin=* | --oldi=* | --old=* | --ol=* | --o=*)
251 oldincludedir="$ac_optarg" ;;
253 -prefix | --prefix | --prefi | --pref | --pre | --pr | --p)
254 ac_prev=prefix ;;
255 -prefix=* | --prefix=* | --prefi=* | --pref=* | --pre=* | --pr=* | --p=*)
256 prefix="$ac_optarg" ;;
258 -program-prefix | --program-prefix | --program-prefi | --program-pref \
259 | --program-pre | --program-pr | --program-p)
260 ac_prev=program_prefix ;;
261 -program-prefix=* | --program-prefix=* | --program-prefi=* \
262 | --program-pref=* | --program-pre=* | --program-pr=* | --program-p=*)
263 program_prefix="$ac_optarg" ;;
265 -program-suffix | --program-suffix | --program-suffi | --program-suff \
266 | --program-suf | --program-su | --program-s)
267 ac_prev=program_suffix ;;
268 -program-suffix=* | --program-suffix=* | --program-suffi=* \
269 | --program-suff=* | --program-suf=* | --program-su=* | --program-s=*)
270 program_suffix="$ac_optarg" ;;
272 -program-transform-name | --program-transform-name \
273 | --program-transform-nam | --program-transform-na \
274 | --program-transform-n | --program-transform- \
275 | --program-transform | --program-transfor \
276 | --program-transfo | --program-transf \
277 | --program-trans | --program-tran \
278 | --progr-tra | --program-tr | --program-t)
279 ac_prev=program_transform_name ;;
280 -program-transform-name=* | --program-transform-name=* \
281 | --program-transform-nam=* | --program-transform-na=* \
282 | --program-transform-n=* | --program-transform-=* \
283 | --program-transform=* | --program-transfor=* \
284 | --program-transfo=* | --program-transf=* \
285 | --program-trans=* | --program-tran=* \
286 | --progr-tra=* | --program-tr=* | --program-t=*)
287 program_transform_name="$ac_optarg" ;;
289 -q | -quiet | --quiet | --quie | --qui | --qu | --q \
290 | -silent | --silent | --silen | --sile | --sil)
291 silent=yes ;;
293 -sbindir | --sbindir | --sbindi | --sbind | --sbin | --sbi | --sb)
294 ac_prev=sbindir ;;
295 -sbindir=* | --sbindir=* | --sbindi=* | --sbind=* | --sbin=* \
296 | --sbi=* | --sb=*)
297 sbindir="$ac_optarg" ;;
299 -sharedstatedir | --sharedstatedir | --sharedstatedi \
300 | --sharedstated | --sharedstate | --sharedstat | --sharedsta \
301 | --sharedst | --shareds | --shared | --share | --shar \
302 | --sha | --sh)
303 ac_prev=sharedstatedir ;;
304 -sharedstatedir=* | --sharedstatedir=* | --sharedstatedi=* \
305 | --sharedstated=* | --sharedstate=* | --sharedstat=* | --sharedsta=* \
306 | --sharedst=* | --shareds=* | --shared=* | --share=* | --shar=* \
307 | --sha=* | --sh=*)
308 sharedstatedir="$ac_optarg" ;;
310 -site | --site | --sit)
311 ac_prev=site ;;
312 -site=* | --site=* | --sit=*)
313 site="$ac_optarg" ;;
315 -srcdir | --srcdir | --srcdi | --srcd | --src | --sr)
316 ac_prev=srcdir ;;
317 -srcdir=* | --srcdir=* | --srcdi=* | --srcd=* | --src=* | --sr=*)
318 srcdir="$ac_optarg" ;;
320 -sysconfdir | --sysconfdir | --sysconfdi | --sysconfd | --sysconf \
321 | --syscon | --sysco | --sysc | --sys | --sy)
322 ac_prev=sysconfdir ;;
323 -sysconfdir=* | --sysconfdir=* | --sysconfdi=* | --sysconfd=* | --sysconf=* \
324 | --syscon=* | --sysco=* | --sysc=* | --sys=* | --sy=*)
325 sysconfdir="$ac_optarg" ;;
327 -target | --target | --targe | --targ | --tar | --ta | --t)
328 ac_prev=target ;;
329 -target=* | --target=* | --targe=* | --targ=* | --tar=* | --ta=* | --t=*)
330 target="$ac_optarg" ;;
332 -v | -verbose | --verbose | --verbos | --verbo | --verb)
333 verbose=yes ;;
335 -version | --version | --versio | --versi | --vers)
336 echo "configure generated by autoconf version 2.13"
337 exit 0 ;;
339 -with-* | --with-*)
340 ac_package=`echo $ac_option|sed -e 's/-*with-//' -e 's/=.*//'`
341 # Reject names that are not valid shell variable names.
342 if test -n "`echo $ac_package| sed 's/[-_a-zA-Z0-9]//g'`"; then
343 { echo "configure: error: $ac_package: invalid package name" 1>&2; exit 1; }
345 ac_package=`echo $ac_package| sed 's/-/_/g'`
346 case "$ac_option" in
347 *=*) ;;
348 *) ac_optarg=yes ;;
349 esac
350 eval "with_${ac_package}='$ac_optarg'" ;;
352 -without-* | --without-*)
353 ac_package=`echo $ac_option|sed -e 's/-*without-//'`
354 # Reject names that are not valid shell variable names.
355 if test -n "`echo $ac_package| sed 's/[-a-zA-Z0-9_]//g'`"; then
356 { echo "configure: error: $ac_package: invalid package name" 1>&2; exit 1; }
358 ac_package=`echo $ac_package| sed 's/-/_/g'`
359 eval "with_${ac_package}=no" ;;
361 --x)
362 # Obsolete; use --with-x.
363 with_x=yes ;;
365 -x-includes | --x-includes | --x-include | --x-includ | --x-inclu \
366 | --x-incl | --x-inc | --x-in | --x-i)
367 ac_prev=x_includes ;;
368 -x-includes=* | --x-includes=* | --x-include=* | --x-includ=* | --x-inclu=* \
369 | --x-incl=* | --x-inc=* | --x-in=* | --x-i=*)
370 x_includes="$ac_optarg" ;;
372 -x-libraries | --x-libraries | --x-librarie | --x-librari \
373 | --x-librar | --x-libra | --x-libr | --x-lib | --x-li | --x-l)
374 ac_prev=x_libraries ;;
375 -x-libraries=* | --x-libraries=* | --x-librarie=* | --x-librari=* \
376 | --x-librar=* | --x-libra=* | --x-libr=* | --x-lib=* | --x-li=* | --x-l=*)
377 x_libraries="$ac_optarg" ;;
379 -*) { echo "configure: error: $ac_option: invalid option; use --help to show usage" 1>&2; exit 1; }
383 if test -n "`echo $ac_option| sed 's/[-a-z0-9.]//g'`"; then
384 echo "configure: warning: $ac_option: invalid host type" 1>&2
386 if test "x$nonopt" != xNONE; then
387 { echo "configure: error: can only configure for one host and one target at a time" 1>&2; exit 1; }
389 nonopt="$ac_option"
392 esac
393 done
395 if test -n "$ac_prev"; then
396 { echo "configure: error: missing argument to --`echo $ac_prev | sed 's/_/-/g'`" 1>&2; exit 1; }
399 trap 'rm -fr conftest* confdefs* core core.* *.core $ac_clean_files; exit 1' 1 2 15
401 # File descriptor usage:
402 # 0 standard input
403 # 1 file creation
404 # 2 errors and warnings
405 # 3 some systems may open it to /dev/tty
406 # 4 used on the Kubota Titan
407 # 6 checking for... messages and results
408 # 5 compiler messages saved in config.log
409 if test "$silent" = yes; then
410 exec 6>/dev/null
411 else
412 exec 6>&1
414 exec 5>./config.log
416 echo "\
417 This file contains any messages produced by compilers while
418 running configure, to aid debugging if configure makes a mistake.
419 " 1>&5
421 # Strip out --no-create and --no-recursion so they do not pile up.
422 # Also quote any args containing shell metacharacters.
423 ac_configure_args=
424 for ac_arg
426 case "$ac_arg" in
427 -no-create | --no-create | --no-creat | --no-crea | --no-cre \
428 | --no-cr | --no-c) ;;
429 -no-recursion | --no-recursion | --no-recursio | --no-recursi \
430 | --no-recurs | --no-recur | --no-recu | --no-rec | --no-re | --no-r) ;;
431 *" "*|*" "*|*[\[\]\~\#\$\^\&\*\(\)\{\}\\\|\;\<\>\?]*)
432 ac_configure_args="$ac_configure_args '$ac_arg'" ;;
433 *) ac_configure_args="$ac_configure_args $ac_arg" ;;
434 esac
435 done
437 # NLS nuisances.
438 # Only set these to C if already set. These must not be set unconditionally
439 # because not all systems understand e.g. LANG=C (notably SCO).
440 # Fixing LC_MESSAGES prevents Solaris sh from translating var values in `set'!
441 # Non-C LC_CTYPE values break the ctype check.
442 if test "${LANG+set}" = set; then LANG=C; export LANG; fi
443 if test "${LC_ALL+set}" = set; then LC_ALL=C; export LC_ALL; fi
444 if test "${LC_MESSAGES+set}" = set; then LC_MESSAGES=C; export LC_MESSAGES; fi
445 if test "${LC_CTYPE+set}" = set; then LC_CTYPE=C; export LC_CTYPE; fi
447 # confdefs.h avoids OS command line length limits that DEFS can exceed.
448 rm -rf conftest* confdefs.h
449 # AIX cpp loses on an empty file, so make sure it contains at least a newline.
450 echo > confdefs.h
452 # A filename unique to this package, relative to the directory that
453 # configure is in, which we can look for to find out if srcdir is correct.
454 ac_unique_file=
456 # Find the source files, if location was not specified.
457 if test -z "$srcdir"; then
458 ac_srcdir_defaulted=yes
459 # Try the directory containing this script, then its parent.
460 ac_prog=$0
461 ac_confdir=`echo $ac_prog|sed 's%/[^/][^/]*$%%'`
462 test "x$ac_confdir" = "x$ac_prog" && ac_confdir=.
463 srcdir=$ac_confdir
464 if test ! -r $srcdir/$ac_unique_file; then
465 srcdir=..
467 else
468 ac_srcdir_defaulted=no
470 if test ! -r $srcdir/$ac_unique_file; then
471 if test "$ac_srcdir_defaulted" = yes; then
472 { echo "configure: error: can not find sources in $ac_confdir or .." 1>&2; exit 1; }
473 else
474 { echo "configure: error: can not find sources in $srcdir" 1>&2; exit 1; }
477 srcdir=`echo "${srcdir}" | sed 's%\([^/]\)/*$%\1%'`
479 # Prefer explicitly selected file to automatically selected ones.
480 if test -z "$CONFIG_SITE"; then
481 if test "x$prefix" != xNONE; then
482 CONFIG_SITE="$prefix/share/config.site $prefix/etc/config.site"
483 else
484 CONFIG_SITE="$ac_default_prefix/share/config.site $ac_default_prefix/etc/config.site"
487 for ac_site_file in $CONFIG_SITE; do
488 if test -r "$ac_site_file"; then
489 echo "loading site script $ac_site_file"
490 . "$ac_site_file"
492 done
494 if test -r "$cache_file"; then
495 echo "loading cache $cache_file"
496 . $cache_file
497 else
498 echo "creating cache $cache_file"
499 > $cache_file
502 ac_ext=c
503 # CFLAGS is not in ac_cpp because -g, -O, etc. are not valid cpp options.
504 ac_cpp='$CPP $CPPFLAGS'
505 ac_compile='${CC-cc} -c $CFLAGS $CPPFLAGS conftest.$ac_ext 1>&5'
506 ac_link='${CC-cc} -o conftest${ac_exeext} $CFLAGS $CPPFLAGS $LDFLAGS conftest.$ac_ext $LIBS 1>&5'
507 cross_compiling=$ac_cv_prog_cc_cross
509 ac_exeext=
510 ac_objext=o
511 if (echo "testing\c"; echo 1,2,3) | grep c >/dev/null; then
512 # Stardent Vistra SVR4 grep lacks -e, says ghazi@caip.rutgers.edu.
513 if (echo -n testing; echo 1,2,3) | sed s/-n/xn/ | grep xn >/dev/null; then
514 ac_n= ac_c='
515 ' ac_t=' '
516 else
517 ac_n=-n ac_c= ac_t=
519 else
520 ac_n= ac_c='\c' ac_t=
530 # check for some programs we use
533 # save the CFLAGS and CXXFLAGS specified by the user
534 save_CFLAGS=$CFLAGS
535 save_CXXFLAGS=$CXXFLAGS
537 # let autoconf find cc and CC, it will try to add -g -O2 to CFLAGS and CXXFLAGS
538 # Extract the first word of "gcc", so it can be a program name with args.
539 set dummy gcc; ac_word=$2
540 echo $ac_n "checking for $ac_word""... $ac_c" 1>&6
541 echo "configure:542: checking for $ac_word" >&5
542 if eval "test \"`echo '$''{'ac_cv_prog_CC'+set}'`\" = set"; then
543 echo $ac_n "(cached) $ac_c" 1>&6
544 else
545 if test -n "$CC"; then
546 ac_cv_prog_CC="$CC" # Let the user override the test.
547 else
548 IFS="${IFS= }"; ac_save_ifs="$IFS"; IFS=":"
549 ac_dummy="$PATH"
550 for ac_dir in $ac_dummy; do
551 test -z "$ac_dir" && ac_dir=.
552 if test -f $ac_dir/$ac_word; then
553 ac_cv_prog_CC="gcc"
554 break
556 done
557 IFS="$ac_save_ifs"
560 CC="$ac_cv_prog_CC"
561 if test -n "$CC"; then
562 echo "$ac_t""$CC" 1>&6
563 else
564 echo "$ac_t""no" 1>&6
567 if test -z "$CC"; then
568 # Extract the first word of "cc", so it can be a program name with args.
569 set dummy cc; ac_word=$2
570 echo $ac_n "checking for $ac_word""... $ac_c" 1>&6
571 echo "configure:572: checking for $ac_word" >&5
572 if eval "test \"`echo '$''{'ac_cv_prog_CC'+set}'`\" = set"; then
573 echo $ac_n "(cached) $ac_c" 1>&6
574 else
575 if test -n "$CC"; then
576 ac_cv_prog_CC="$CC" # Let the user override the test.
577 else
578 IFS="${IFS= }"; ac_save_ifs="$IFS"; IFS=":"
579 ac_prog_rejected=no
580 ac_dummy="$PATH"
581 for ac_dir in $ac_dummy; do
582 test -z "$ac_dir" && ac_dir=.
583 if test -f $ac_dir/$ac_word; then
584 if test "$ac_dir/$ac_word" = "/usr/ucb/cc"; then
585 ac_prog_rejected=yes
586 continue
588 ac_cv_prog_CC="cc"
589 break
591 done
592 IFS="$ac_save_ifs"
593 if test $ac_prog_rejected = yes; then
594 # We found a bogon in the path, so make sure we never use it.
595 set dummy $ac_cv_prog_CC
596 shift
597 if test $# -gt 0; then
598 # We chose a different compiler from the bogus one.
599 # However, it has the same basename, so the bogon will be chosen
600 # first if we set CC to just the basename; use the full file name.
601 shift
602 set dummy "$ac_dir/$ac_word" "$@"
603 shift
604 ac_cv_prog_CC="$@"
609 CC="$ac_cv_prog_CC"
610 if test -n "$CC"; then
611 echo "$ac_t""$CC" 1>&6
612 else
613 echo "$ac_t""no" 1>&6
616 if test -z "$CC"; then
617 case "`uname -s`" in
618 *win32* | *WIN32*)
619 # Extract the first word of "cl", so it can be a program name with args.
620 set dummy cl; ac_word=$2
621 echo $ac_n "checking for $ac_word""... $ac_c" 1>&6
622 echo "configure:623: checking for $ac_word" >&5
623 if eval "test \"`echo '$''{'ac_cv_prog_CC'+set}'`\" = set"; then
624 echo $ac_n "(cached) $ac_c" 1>&6
625 else
626 if test -n "$CC"; then
627 ac_cv_prog_CC="$CC" # Let the user override the test.
628 else
629 IFS="${IFS= }"; ac_save_ifs="$IFS"; IFS=":"
630 ac_dummy="$PATH"
631 for ac_dir in $ac_dummy; do
632 test -z "$ac_dir" && ac_dir=.
633 if test -f $ac_dir/$ac_word; then
634 ac_cv_prog_CC="cl"
635 break
637 done
638 IFS="$ac_save_ifs"
641 CC="$ac_cv_prog_CC"
642 if test -n "$CC"; then
643 echo "$ac_t""$CC" 1>&6
644 else
645 echo "$ac_t""no" 1>&6
648 esac
650 test -z "$CC" && { echo "configure: error: no acceptable cc found in \$PATH" 1>&2; exit 1; }
653 echo $ac_n "checking whether the C compiler ($CC $CFLAGS $LDFLAGS) works""... $ac_c" 1>&6
654 echo "configure:655: checking whether the C compiler ($CC $CFLAGS $LDFLAGS) works" >&5
656 ac_ext=c
657 # CFLAGS is not in ac_cpp because -g, -O, etc. are not valid cpp options.
658 ac_cpp='$CPP $CPPFLAGS'
659 ac_compile='${CC-cc} -c $CFLAGS $CPPFLAGS conftest.$ac_ext 1>&5'
660 ac_link='${CC-cc} -o conftest${ac_exeext} $CFLAGS $CPPFLAGS $LDFLAGS conftest.$ac_ext $LIBS 1>&5'
661 cross_compiling=$ac_cv_prog_cc_cross
663 cat > conftest.$ac_ext << EOF
665 #line 666 "configure"
666 #include "confdefs.h"
668 main(){return(0);}
670 if { (eval echo configure:671: \"$ac_link\") 1>&5; (eval $ac_link) 2>&5; } && test -s conftest${ac_exeext}; then
671 ac_cv_prog_cc_works=yes
672 # If we can't run a trivial program, we are probably using a cross compiler.
673 if (./conftest; exit) 2>/dev/null; then
674 ac_cv_prog_cc_cross=no
675 else
676 ac_cv_prog_cc_cross=yes
678 else
679 echo "configure: failed program was:" >&5
680 cat conftest.$ac_ext >&5
681 ac_cv_prog_cc_works=no
683 rm -fr conftest*
684 ac_ext=c
685 # CFLAGS is not in ac_cpp because -g, -O, etc. are not valid cpp options.
686 ac_cpp='$CPP $CPPFLAGS'
687 ac_compile='${CC-cc} -c $CFLAGS $CPPFLAGS conftest.$ac_ext 1>&5'
688 ac_link='${CC-cc} -o conftest${ac_exeext} $CFLAGS $CPPFLAGS $LDFLAGS conftest.$ac_ext $LIBS 1>&5'
689 cross_compiling=$ac_cv_prog_cc_cross
691 echo "$ac_t""$ac_cv_prog_cc_works" 1>&6
692 if test $ac_cv_prog_cc_works = no; then
693 { echo "configure: error: installation or configuration problem: C compiler cannot create executables." 1>&2; exit 1; }
695 echo $ac_n "checking whether the C compiler ($CC $CFLAGS $LDFLAGS) is a cross-compiler""... $ac_c" 1>&6
696 echo "configure:697: checking whether the C compiler ($CC $CFLAGS $LDFLAGS) is a cross-compiler" >&5
697 echo "$ac_t""$ac_cv_prog_cc_cross" 1>&6
698 cross_compiling=$ac_cv_prog_cc_cross
700 echo $ac_n "checking whether we are using GNU C""... $ac_c" 1>&6
701 echo "configure:702: checking whether we are using GNU C" >&5
702 if eval "test \"`echo '$''{'ac_cv_prog_gcc'+set}'`\" = set"; then
703 echo $ac_n "(cached) $ac_c" 1>&6
704 else
705 cat > conftest.c <<EOF
706 #ifdef __GNUC__
707 yes;
708 #endif
710 if { ac_try='${CC-cc} -E conftest.c'; { (eval echo configure:711: \"$ac_try\") 1>&5; (eval $ac_try) 2>&5; }; } | egrep yes >/dev/null 2>&1; then
711 ac_cv_prog_gcc=yes
712 else
713 ac_cv_prog_gcc=no
717 echo "$ac_t""$ac_cv_prog_gcc" 1>&6
719 if test $ac_cv_prog_gcc = yes; then
720 GCC=yes
721 else
722 GCC=
725 ac_test_CFLAGS="${CFLAGS+set}"
726 ac_save_CFLAGS="$CFLAGS"
727 CFLAGS=
728 echo $ac_n "checking whether ${CC-cc} accepts -g""... $ac_c" 1>&6
729 echo "configure:730: checking whether ${CC-cc} accepts -g" >&5
730 if eval "test \"`echo '$''{'ac_cv_prog_cc_g'+set}'`\" = set"; then
731 echo $ac_n "(cached) $ac_c" 1>&6
732 else
733 echo 'void f(){}' > conftest.c
734 if test -z "`${CC-cc} -g -c conftest.c 2>&1`"; then
735 ac_cv_prog_cc_g=yes
736 else
737 ac_cv_prog_cc_g=no
739 rm -f conftest*
743 echo "$ac_t""$ac_cv_prog_cc_g" 1>&6
744 if test "$ac_test_CFLAGS" = set; then
745 CFLAGS="$ac_save_CFLAGS"
746 elif test $ac_cv_prog_cc_g = yes; then
747 if test "$GCC" = yes; then
748 CFLAGS="-g -O2"
749 else
750 CFLAGS="-g"
752 else
753 if test "$GCC" = yes; then
754 CFLAGS="-O2"
755 else
756 CFLAGS=
760 for ac_prog in $CCC c++ g++ gcc CC cxx cc++ cl
762 # Extract the first word of "$ac_prog", so it can be a program name with args.
763 set dummy $ac_prog; ac_word=$2
764 echo $ac_n "checking for $ac_word""... $ac_c" 1>&6
765 echo "configure:766: checking for $ac_word" >&5
766 if eval "test \"`echo '$''{'ac_cv_prog_CXX'+set}'`\" = set"; then
767 echo $ac_n "(cached) $ac_c" 1>&6
768 else
769 if test -n "$CXX"; then
770 ac_cv_prog_CXX="$CXX" # Let the user override the test.
771 else
772 IFS="${IFS= }"; ac_save_ifs="$IFS"; IFS=":"
773 ac_dummy="$PATH"
774 for ac_dir in $ac_dummy; do
775 test -z "$ac_dir" && ac_dir=.
776 if test -f $ac_dir/$ac_word; then
777 ac_cv_prog_CXX="$ac_prog"
778 break
780 done
781 IFS="$ac_save_ifs"
784 CXX="$ac_cv_prog_CXX"
785 if test -n "$CXX"; then
786 echo "$ac_t""$CXX" 1>&6
787 else
788 echo "$ac_t""no" 1>&6
791 test -n "$CXX" && break
792 done
793 test -n "$CXX" || CXX="gcc"
796 echo $ac_n "checking whether the C++ compiler ($CXX $CXXFLAGS $LDFLAGS) works""... $ac_c" 1>&6
797 echo "configure:798: checking whether the C++ compiler ($CXX $CXXFLAGS $LDFLAGS) works" >&5
799 ac_ext=C
800 # CXXFLAGS is not in ac_cpp because -g, -O, etc. are not valid cpp options.
801 ac_cpp='$CXXCPP $CPPFLAGS'
802 ac_compile='${CXX-g++} -c $CXXFLAGS $CPPFLAGS conftest.$ac_ext 1>&5'
803 ac_link='${CXX-g++} -o conftest${ac_exeext} $CXXFLAGS $CPPFLAGS $LDFLAGS conftest.$ac_ext $LIBS 1>&5'
804 cross_compiling=$ac_cv_prog_cxx_cross
806 cat > conftest.$ac_ext << EOF
808 #line 809 "configure"
809 #include "confdefs.h"
811 int main(){return(0);}
813 if { (eval echo configure:814: \"$ac_link\") 1>&5; (eval $ac_link) 2>&5; } && test -s conftest${ac_exeext}; then
814 ac_cv_prog_cxx_works=yes
815 # If we can't run a trivial program, we are probably using a cross compiler.
816 if (./conftest; exit) 2>/dev/null; then
817 ac_cv_prog_cxx_cross=no
818 else
819 ac_cv_prog_cxx_cross=yes
821 else
822 echo "configure: failed program was:" >&5
823 cat conftest.$ac_ext >&5
824 ac_cv_prog_cxx_works=no
826 rm -fr conftest*
827 ac_ext=c
828 # CFLAGS is not in ac_cpp because -g, -O, etc. are not valid cpp options.
829 ac_cpp='$CPP $CPPFLAGS'
830 ac_compile='${CC-cc} -c $CFLAGS $CPPFLAGS conftest.$ac_ext 1>&5'
831 ac_link='${CC-cc} -o conftest${ac_exeext} $CFLAGS $CPPFLAGS $LDFLAGS conftest.$ac_ext $LIBS 1>&5'
832 cross_compiling=$ac_cv_prog_cc_cross
834 echo "$ac_t""$ac_cv_prog_cxx_works" 1>&6
835 if test $ac_cv_prog_cxx_works = no; then
836 { echo "configure: error: installation or configuration problem: C++ compiler cannot create executables." 1>&2; exit 1; }
838 echo $ac_n "checking whether the C++ compiler ($CXX $CXXFLAGS $LDFLAGS) is a cross-compiler""... $ac_c" 1>&6
839 echo "configure:840: checking whether the C++ compiler ($CXX $CXXFLAGS $LDFLAGS) is a cross-compiler" >&5
840 echo "$ac_t""$ac_cv_prog_cxx_cross" 1>&6
841 cross_compiling=$ac_cv_prog_cxx_cross
843 echo $ac_n "checking whether we are using GNU C++""... $ac_c" 1>&6
844 echo "configure:845: checking whether we are using GNU C++" >&5
845 if eval "test \"`echo '$''{'ac_cv_prog_gxx'+set}'`\" = set"; then
846 echo $ac_n "(cached) $ac_c" 1>&6
847 else
848 cat > conftest.C <<EOF
849 #ifdef __GNUC__
850 yes;
851 #endif
853 if { ac_try='${CXX-g++} -E conftest.C'; { (eval echo configure:854: \"$ac_try\") 1>&5; (eval $ac_try) 2>&5; }; } | egrep yes >/dev/null 2>&1; then
854 ac_cv_prog_gxx=yes
855 else
856 ac_cv_prog_gxx=no
860 echo "$ac_t""$ac_cv_prog_gxx" 1>&6
862 if test $ac_cv_prog_gxx = yes; then
863 GXX=yes
864 else
865 GXX=
868 ac_test_CXXFLAGS="${CXXFLAGS+set}"
869 ac_save_CXXFLAGS="$CXXFLAGS"
870 CXXFLAGS=
871 echo $ac_n "checking whether ${CXX-g++} accepts -g""... $ac_c" 1>&6
872 echo "configure:873: checking whether ${CXX-g++} accepts -g" >&5
873 if eval "test \"`echo '$''{'ac_cv_prog_cxx_g'+set}'`\" = set"; then
874 echo $ac_n "(cached) $ac_c" 1>&6
875 else
876 echo 'void f(){}' > conftest.cc
877 if test -z "`${CXX-g++} -g -c conftest.cc 2>&1`"; then
878 ac_cv_prog_cxx_g=yes
879 else
880 ac_cv_prog_cxx_g=no
882 rm -f conftest*
886 echo "$ac_t""$ac_cv_prog_cxx_g" 1>&6
887 if test "$ac_test_CXXFLAGS" = set; then
888 CXXFLAGS="$ac_save_CXXFLAGS"
889 elif test $ac_cv_prog_cxx_g = yes; then
890 if test "$GXX" = yes; then
891 CXXFLAGS="-g -O2"
892 else
893 CXXFLAGS="-g"
895 else
896 if test "$GXX" = yes; then
897 CXXFLAGS="-O2"
898 else
899 CXXFLAGS=
904 # restore the flags specified by the user and get rid of any flags
905 # found by autoconf (we do not want -02 -g by default)
906 CFLAGS=$save_CFLAGS
907 CXXFLAGS=$save_CXXFLAGS
909 fullSrcDir=`cd $srcdir; pwd`
910 CMAKE_ROOT_DIR=$fullSrcDir
914 # Step 1: set the variable "system" to hold the name and version number
915 # for the system. This can usually be done via the "uname" command, but
916 # there are a few systems, like Next, where this doesn't work.
918 echo $ac_n "checking system version (for dynamic loading)""... $ac_c" 1>&6
919 echo "configure:920: checking system version (for dynamic loading)" >&5
920 if test -f /usr/lib/NextStep/software_version; then
921 system=NEXTSTEP-`awk '/3/,/3/' /usr/lib/NextStep/software_version`
922 else
923 system=`uname -s`-`uname -r`
924 if test "$?" -ne 0 ; then
925 echo "$ac_t""unknown (can't find uname command)" 1>&6
926 system=unknown
927 else
928 # Special check for weird MP-RAS system (uname returns weird
929 # results, and the version is kept in special file).
931 if test -r /etc/.relid -a "X`uname -n`" = "X`uname -s`" ; then
932 system=MP-RAS-`awk '{print $3}' /etc/.relid'`
934 echo "$ac_t""$system" 1>&6
939 CMAKE_CONFIG_DIR=`pwd`
941 case $system in
942 CYGWIN_NT*)
943 CMAKE_CONFIG_DIR=`pwd`
944 CMAKE_CONFIG_DIR="\"$CMAKE_CONFIG_DIR\""
946 esac
949 CMAKE_ANSI_CFLAGS=""
950 CMAKE_ANSI_CXXFLAGS=""
951 # on hp use -Aa for ansi
952 if test $ac_cv_prog_gxx = no; then
953 case $system in
954 HP-UX-*.08.*|HP-UX-*.09.*|HP-UX-*.10.*)
955 echo $ac_n "checking whether ${CC} accepts -Aa""... $ac_c" 1>&6
956 echo 'void f(){}' > conftest.c
957 if test -z "`${CC} -Aa -c conftest.c 2>&1`"; then
958 echo "$ac_t""yes" 1>&6
959 CMAKE_ANSI_CFLAGS="-Aa"
960 else
961 echo "$ac_t""no" 1>&6
963 rm -f conftest*
965 IRIX-5* | IRIX-6* | IRIX64-6* | IRIX-64-6*)
966 echo $ac_n "checking whether ${CXX} accepts -LANG:std""... $ac_c" 1>&6
967 echo 'void f(){}' > conftest.c
968 if test -z "`${CXX} -LANG:std -c conftest.c 2>&1`"; then
969 echo "$ac_t""yes" 1>&6
970 CMAKE_ANSI_CXXFLAGS="-LANG:std"
971 else
972 echo "$ac_t""no" 1>&6
974 rm -f conftest*
976 esac
981 # check no g++ compilers to see if they have the standard
982 # ansi stream files (without the .h)
983 if test $ac_cv_prog_gxx = no; then
984 echo $ac_n "checking ansi standard C++ stream headers ""... $ac_c" 1>&6
985 echo "configure:986: checking ansi standard C++ stream headers " >&5
986 rm -rf conftest.*
987 cat > conftest.cc <<!
988 #include <iostream>
990 if test -z "`${CXX} $CMAKE_ANSI_CXXFLAGS $CXXFLAGS $CPPFLAGS -c conftest.cc 2>&1`"; then
991 echo "$ac_t""yes" 1>&6
992 else
993 cat >> confdefs.h <<\EOF
994 #define CMAKE_NO_ANSI_STREAM_HEADERS 1
997 echo "$ac_t""no" 1>&6
1001 # check to see if stl is in the std namespace
1002 if test $ac_cv_prog_gxx = no; then
1003 echo $ac_n "checking ansi standard namespace support ""... $ac_c" 1>&6
1004 echo "configure:1005: checking ansi standard namespace support " >&5
1005 rm -rf conftest.*
1006 cat > conftest.cc <<!
1007 #include <list>
1008 void foo() { std::list<int> l; }
1010 if test -z "`${CXX} $CMAKE_ANSI_CXXFLAGS $CXXFLAGS $CPPFLAGS -c conftest.cc 2>&1`"; then
1011 echo "$ac_t""yes" 1>&6
1012 else
1013 cat >> confdefs.h <<\EOF
1014 #define CMAKE_NO_STD_NAMESPACE 1
1017 echo "$ac_t""no" 1>&6
1021 # check to see if for scoping is supported
1022 if test $ac_cv_prog_gxx = no; then
1023 echo $ac_n "checking ansi for scope support ""... $ac_c" 1>&6
1024 echo "configure:1025: checking ansi for scope support " >&5
1025 rm -rf conftest.*
1026 cat > conftest.cc <<!
1027 void foo() { for(int i;;); for(int i;;); }
1029 if test -z "`${CXX} $CMAKE_ANSI_CXXFLAGS $CXXFLAGS $CPPFLAGS -c conftest.cc 2>&1`"; then
1030 echo "$ac_t""yes" 1>&6
1031 else
1032 cat >> confdefs.h <<\EOF
1033 #define CMAKE_NO_ANSI_FOR_SCOPE 1
1036 echo "$ac_t""no" 1>&6
1040 # find make to use to build cmake, prefer gmake
1041 for ac_prog in gmake make
1043 # Extract the first word of "$ac_prog", so it can be a program name with args.
1044 set dummy $ac_prog; ac_word=$2
1045 echo $ac_n "checking for $ac_word""... $ac_c" 1>&6
1046 echo "configure:1047: checking for $ac_word" >&5
1047 if eval "test \"`echo '$''{'ac_cv_path_RUNMAKE'+set}'`\" = set"; then
1048 echo $ac_n "(cached) $ac_c" 1>&6
1049 else
1050 case "$RUNMAKE" in
1052 ac_cv_path_RUNMAKE="$RUNMAKE" # Let the user override the test with a path.
1054 ?:/*)
1055 ac_cv_path_RUNMAKE="$RUNMAKE" # Let the user override the test with a dos path.
1058 IFS="${IFS= }"; ac_save_ifs="$IFS"; IFS=":"
1059 ac_dummy="$PATH"
1060 for ac_dir in $ac_dummy; do
1061 test -z "$ac_dir" && ac_dir=.
1062 if test -f $ac_dir/$ac_word; then
1063 ac_cv_path_RUNMAKE="$ac_dir/$ac_word"
1064 break
1066 done
1067 IFS="$ac_save_ifs"
1069 esac
1071 RUNMAKE="$ac_cv_path_RUNMAKE"
1072 if test -n "$RUNMAKE"; then
1073 echo "$ac_t""$RUNMAKE" 1>&6
1074 else
1075 echo "$ac_t""no" 1>&6
1078 test -n "$RUNMAKE" && break
1079 done
1082 trap '' 1 2 15
1083 cat > confcache <<\EOF
1084 # This file is a shell script that caches the results of configure
1085 # tests run on this system so they can be shared between configure
1086 # scripts and configure runs. It is not useful on other systems.
1087 # If it contains results you don't want to keep, you may remove or edit it.
1089 # By default, configure uses ./config.cache as the cache file,
1090 # creating it if it does not exist already. You can give configure
1091 # the --cache-file=FILE option to use a different cache file; that is
1092 # what configure does when it calls configure scripts in
1093 # subdirectories, so they share the cache.
1094 # Giving --cache-file=/dev/null disables caching, for debugging configure.
1095 # config.status only pays attention to the cache file if you give it the
1096 # --recheck option to rerun configure.
1099 # The following way of writing the cache mishandles newlines in values,
1100 # but we know of no workaround that is simple, portable, and efficient.
1101 # So, don't put newlines in cache variables' values.
1102 # Ultrix sh set writes to stderr and can't be redirected directly,
1103 # and sets the high bit in the cache file unless we assign to the vars.
1104 (set) 2>&1 |
1105 case `(ac_space=' '; set | grep ac_space) 2>&1` in
1106 *ac_space=\ *)
1107 # `set' does not quote correctly, so add quotes (double-quote substitution
1108 # turns \\\\ into \\, and sed turns \\ into \).
1109 sed -n \
1110 -e "s/'/'\\\\''/g" \
1111 -e "s/^\\([a-zA-Z0-9_]*_cv_[a-zA-Z0-9_]*\\)=\\(.*\\)/\\1=\${\\1='\\2'}/p"
1114 # `set' quotes correctly as required by POSIX, so do not add quotes.
1115 sed -n -e 's/^\([a-zA-Z0-9_]*_cv_[a-zA-Z0-9_]*\)=\(.*\)/\1=${\1=\2}/p'
1117 esac >> confcache
1118 if cmp -s $cache_file confcache; then
1120 else
1121 if test -w $cache_file; then
1122 echo "updating cache $cache_file"
1123 cat confcache > $cache_file
1124 else
1125 echo "not updating unwritable cache $cache_file"
1128 rm -f confcache
1130 trap 'rm -fr conftest* confdefs* core core.* *.core $ac_clean_files; exit 1' 1 2 15
1132 test "x$prefix" = xNONE && prefix=$ac_default_prefix
1133 # Let make expand exec_prefix.
1134 test "x$exec_prefix" = xNONE && exec_prefix='${prefix}'
1136 # Any assignment to VPATH causes Sun make to only execute
1137 # the first set of double-colon rules, so remove it if not needed.
1138 # If there is a colon in the path, we need to keep it.
1139 if test "x$srcdir" = x.; then
1140 ac_vpsub='/^[ ]*VPATH[ ]*=[^:]*$/d'
1143 trap 'rm -f $CONFIG_STATUS conftest*; exit 1' 1 2 15
1145 DEFS=-DHAVE_CONFIG_H
1147 # Without the "./", some shells look in PATH for config.status.
1148 : ${CONFIG_STATUS=./config.status}
1150 echo creating $CONFIG_STATUS
1151 rm -f $CONFIG_STATUS
1152 cat > $CONFIG_STATUS <<EOF
1153 #! /bin/sh
1154 # Generated automatically by configure.
1155 # Run this file to recreate the current configuration.
1156 # This directory was configured as follows,
1157 # on host `(hostname || uname -n) 2>/dev/null | sed 1q`:
1159 # $0 $ac_configure_args
1161 # Compiler output produced by configure, useful for debugging
1162 # configure, is in ./config.log if it exists.
1164 ac_cs_usage="Usage: $CONFIG_STATUS [--recheck] [--version] [--help]"
1165 for ac_option
1167 case "\$ac_option" in
1168 -recheck | --recheck | --rechec | --reche | --rech | --rec | --re | --r)
1169 echo "running \${CONFIG_SHELL-/bin/sh} $0 $ac_configure_args --no-create --no-recursion"
1170 exec \${CONFIG_SHELL-/bin/sh} $0 $ac_configure_args --no-create --no-recursion ;;
1171 -version | --version | --versio | --versi | --vers | --ver | --ve | --v)
1172 echo "$CONFIG_STATUS generated by autoconf version 2.13"
1173 exit 0 ;;
1174 -help | --help | --hel | --he | --h)
1175 echo "\$ac_cs_usage"; exit 0 ;;
1176 *) echo "\$ac_cs_usage"; exit 1 ;;
1177 esac
1178 done
1180 ac_given_srcdir=$srcdir
1182 trap 'rm -fr `echo "Source/InitialConfigureFlags.cmake Makefile Source/Makefile Source/cmConfigure.h" | sed "s/:[^ ]*//g"` conftest*; exit 1' 1 2 15
1184 cat >> $CONFIG_STATUS <<EOF
1186 # Protect against being on the right side of a sed subst in config.status.
1187 sed 's/%@/@@/; s/@%/@@/; s/%g\$/@g/; /@g\$/s/[\\\\&%]/\\\\&/g;
1188 s/@@/%@/; s/@@/@%/; s/@g\$/%g/' > conftest.subs <<\\CEOF
1189 $ac_vpsub
1190 $extrasub
1191 s%@SHELL@%$SHELL%g
1192 s%@CFLAGS@%$CFLAGS%g
1193 s%@CPPFLAGS@%$CPPFLAGS%g
1194 s%@CXXFLAGS@%$CXXFLAGS%g
1195 s%@FFLAGS@%$FFLAGS%g
1196 s%@DEFS@%$DEFS%g
1197 s%@LDFLAGS@%$LDFLAGS%g
1198 s%@LIBS@%$LIBS%g
1199 s%@exec_prefix@%$exec_prefix%g
1200 s%@prefix@%$prefix%g
1201 s%@program_transform_name@%$program_transform_name%g
1202 s%@bindir@%$bindir%g
1203 s%@sbindir@%$sbindir%g
1204 s%@libexecdir@%$libexecdir%g
1205 s%@datadir@%$datadir%g
1206 s%@sysconfdir@%$sysconfdir%g
1207 s%@sharedstatedir@%$sharedstatedir%g
1208 s%@localstatedir@%$localstatedir%g
1209 s%@libdir@%$libdir%g
1210 s%@includedir@%$includedir%g
1211 s%@oldincludedir@%$oldincludedir%g
1212 s%@infodir@%$infodir%g
1213 s%@mandir@%$mandir%g
1214 s%@CC@%$CC%g
1215 s%@CXX@%$CXX%g
1216 s%@CMAKE_ROOT_DIR@%$CMAKE_ROOT_DIR%g
1217 s%@CMAKE_CONFIG_DIR@%$CMAKE_CONFIG_DIR%g
1218 s%@CMAKE_ANSI_CFLAGS@%$CMAKE_ANSI_CFLAGS%g
1219 s%@CMAKE_ANSI_CXXFLAGS@%$CMAKE_ANSI_CXXFLAGS%g
1220 s%@RUNMAKE@%$RUNMAKE%g
1222 CEOF
1225 cat >> $CONFIG_STATUS <<\EOF
1227 # Split the substitutions into bite-sized pieces for seds with
1228 # small command number limits, like on Digital OSF/1 and HP-UX.
1229 ac_max_sed_cmds=90 # Maximum number of lines to put in a sed script.
1230 ac_file=1 # Number of current file.
1231 ac_beg=1 # First line for current file.
1232 ac_end=$ac_max_sed_cmds # Line after last line for current file.
1233 ac_more_lines=:
1234 ac_sed_cmds=""
1235 while $ac_more_lines; do
1236 if test $ac_beg -gt 1; then
1237 sed "1,${ac_beg}d; ${ac_end}q" conftest.subs > conftest.s$ac_file
1238 else
1239 sed "${ac_end}q" conftest.subs > conftest.s$ac_file
1241 if test ! -s conftest.s$ac_file; then
1242 ac_more_lines=false
1243 rm -f conftest.s$ac_file
1244 else
1245 if test -z "$ac_sed_cmds"; then
1246 ac_sed_cmds="sed -f conftest.s$ac_file"
1247 else
1248 ac_sed_cmds="$ac_sed_cmds | sed -f conftest.s$ac_file"
1250 ac_file=`expr $ac_file + 1`
1251 ac_beg=$ac_end
1252 ac_end=`expr $ac_end + $ac_max_sed_cmds`
1254 done
1255 if test -z "$ac_sed_cmds"; then
1256 ac_sed_cmds=cat
1260 cat >> $CONFIG_STATUS <<EOF
1262 CONFIG_FILES=\${CONFIG_FILES-"Source/InitialConfigureFlags.cmake Makefile Source/Makefile"}
1264 cat >> $CONFIG_STATUS <<\EOF
1265 for ac_file in .. $CONFIG_FILES; do if test "x$ac_file" != x..; then
1266 # Support "outfile[:infile[:infile...]]", defaulting infile="outfile.in".
1267 case "$ac_file" in
1268 *:*) ac_file_in=`echo "$ac_file"|sed 's%[^:]*:%%'`
1269 ac_file=`echo "$ac_file"|sed 's%:.*%%'` ;;
1270 *) ac_file_in="${ac_file}.in" ;;
1271 esac
1273 # Adjust a relative srcdir, top_srcdir, and INSTALL for subdirectories.
1275 # Remove last slash and all that follows it. Not all systems have dirname.
1276 ac_dir=`echo $ac_file|sed 's%/[^/][^/]*$%%'`
1277 if test "$ac_dir" != "$ac_file" && test "$ac_dir" != .; then
1278 # The file is in a subdirectory.
1279 test ! -d "$ac_dir" && mkdir "$ac_dir"
1280 ac_dir_suffix="/`echo $ac_dir|sed 's%^\./%%'`"
1281 # A "../" for each directory in $ac_dir_suffix.
1282 ac_dots=`echo $ac_dir_suffix|sed 's%/[^/]*%../%g'`
1283 else
1284 ac_dir_suffix= ac_dots=
1287 case "$ac_given_srcdir" in
1288 .) srcdir=.
1289 if test -z "$ac_dots"; then top_srcdir=.
1290 else top_srcdir=`echo $ac_dots|sed 's%/$%%'`; fi ;;
1291 /*) srcdir="$ac_given_srcdir$ac_dir_suffix"; top_srcdir="$ac_given_srcdir" ;;
1292 *) # Relative path.
1293 srcdir="$ac_dots$ac_given_srcdir$ac_dir_suffix"
1294 top_srcdir="$ac_dots$ac_given_srcdir" ;;
1295 esac
1298 echo creating "$ac_file"
1299 rm -f "$ac_file"
1300 configure_input="Generated automatically from `echo $ac_file_in|sed 's%.*/%%'` by configure."
1301 case "$ac_file" in
1302 *Makefile*) ac_comsub="1i\\
1303 # $configure_input" ;;
1304 *) ac_comsub= ;;
1305 esac
1307 ac_file_inputs=`echo $ac_file_in|sed -e "s%^%$ac_given_srcdir/%" -e "s%:% $ac_given_srcdir/%g"`
1308 sed -e "$ac_comsub
1309 s%@configure_input@%$configure_input%g
1310 s%@srcdir@%$srcdir%g
1311 s%@top_srcdir@%$top_srcdir%g
1312 " $ac_file_inputs | (eval "$ac_sed_cmds") > $ac_file
1313 fi; done
1314 rm -f conftest.s*
1316 # These sed commands are passed to sed as "A NAME B NAME C VALUE D", where
1317 # NAME is the cpp macro being defined and VALUE is the value it is being given.
1319 # ac_d sets the value in "#define NAME VALUE" lines.
1320 ac_dA='s%^\([ ]*\)#\([ ]*define[ ][ ]*\)'
1321 ac_dB='\([ ][ ]*\)[^ ]*%\1#\2'
1322 ac_dC='\3'
1323 ac_dD='%g'
1324 # ac_u turns "#undef NAME" with trailing blanks into "#define NAME VALUE".
1325 ac_uA='s%^\([ ]*\)#\([ ]*\)undef\([ ][ ]*\)'
1326 ac_uB='\([ ]\)%\1#\2define\3'
1327 ac_uC=' '
1328 ac_uD='\4%g'
1329 # ac_e turns "#undef NAME" without trailing blanks into "#define NAME VALUE".
1330 ac_eA='s%^\([ ]*\)#\([ ]*\)undef\([ ][ ]*\)'
1331 ac_eB='$%\1#\2define\3'
1332 ac_eC=' '
1333 ac_eD='%g'
1335 if test "${CONFIG_HEADERS+set}" != set; then
1337 cat >> $CONFIG_STATUS <<EOF
1338 CONFIG_HEADERS="Source/cmConfigure.h"
1340 cat >> $CONFIG_STATUS <<\EOF
1342 for ac_file in .. $CONFIG_HEADERS; do if test "x$ac_file" != x..; then
1343 # Support "outfile[:infile[:infile...]]", defaulting infile="outfile.in".
1344 case "$ac_file" in
1345 *:*) ac_file_in=`echo "$ac_file"|sed 's%[^:]*:%%'`
1346 ac_file=`echo "$ac_file"|sed 's%:.*%%'` ;;
1347 *) ac_file_in="${ac_file}.in" ;;
1348 esac
1350 echo creating $ac_file
1352 rm -f conftest.frag conftest.in conftest.out
1353 ac_file_inputs=`echo $ac_file_in|sed -e "s%^%$ac_given_srcdir/%" -e "s%:% $ac_given_srcdir/%g"`
1354 cat $ac_file_inputs > conftest.in
1358 # Transform confdefs.h into a sed script conftest.vals that substitutes
1359 # the proper values into config.h.in to produce config.h. And first:
1360 # Protect against being on the right side of a sed subst in config.status.
1361 # Protect against being in an unquoted here document in config.status.
1362 rm -f conftest.vals
1363 cat > conftest.hdr <<\EOF
1364 s/[\\&%]/\\&/g
1365 s%[\\$`]%\\&%g
1366 s%#define \([A-Za-z_][A-Za-z0-9_]*\) *\(.*\)%${ac_dA}\1${ac_dB}\1${ac_dC}\2${ac_dD}%gp
1367 s%ac_d%ac_u%gp
1368 s%ac_u%ac_e%gp
1370 sed -n -f conftest.hdr confdefs.h > conftest.vals
1371 rm -f conftest.hdr
1373 # This sed command replaces #undef with comments. This is necessary, for
1374 # example, in the case of _POSIX_SOURCE, which is predefined and required
1375 # on some systems where configure will not decide to define it.
1376 cat >> conftest.vals <<\EOF
1377 s%^[ ]*#[ ]*undef[ ][ ]*[a-zA-Z_][a-zA-Z_0-9]*%/* & */%
1380 # Break up conftest.vals because some shells have a limit on
1381 # the size of here documents, and old seds have small limits too.
1383 rm -f conftest.tail
1384 while :
1386 ac_lines=`grep -c . conftest.vals`
1387 # grep -c gives empty output for an empty file on some AIX systems.
1388 if test -z "$ac_lines" || test "$ac_lines" -eq 0; then break; fi
1389 # Write a limited-size here document to conftest.frag.
1390 echo ' cat > conftest.frag <<CEOF' >> $CONFIG_STATUS
1391 sed ${ac_max_here_lines}q conftest.vals >> $CONFIG_STATUS
1392 echo 'CEOF
1393 sed -f conftest.frag conftest.in > conftest.out
1394 rm -f conftest.in
1395 mv conftest.out conftest.in
1396 ' >> $CONFIG_STATUS
1397 sed 1,${ac_max_here_lines}d conftest.vals > conftest.tail
1398 rm -f conftest.vals
1399 mv conftest.tail conftest.vals
1400 done
1401 rm -f conftest.vals
1403 cat >> $CONFIG_STATUS <<\EOF
1404 rm -f conftest.frag conftest.h
1405 echo "/* $ac_file. Generated automatically by configure. */" > conftest.h
1406 cat conftest.in >> conftest.h
1407 rm -f conftest.in
1408 if cmp -s $ac_file conftest.h 2>/dev/null; then
1409 echo "$ac_file is unchanged"
1410 rm -f conftest.h
1411 else
1412 # Remove last slash and all that follows it. Not all systems have dirname.
1413 ac_dir=`echo $ac_file|sed 's%/[^/][^/]*$%%'`
1414 if test "$ac_dir" != "$ac_file" && test "$ac_dir" != .; then
1415 # The file is in a subdirectory.
1416 test ! -d "$ac_dir" && mkdir "$ac_dir"
1418 rm -f $ac_file
1419 mv conftest.h $ac_file
1421 fi; done
1424 cat >> $CONFIG_STATUS <<EOF
1427 cat >> $CONFIG_STATUS <<\EOF
1429 exit 0
1431 chmod +x $CONFIG_STATUS
1432 rm -fr confdefs* $ac_clean_files
1433 test "$no_create" = yes || ${CONFIG_SHELL-/bin/sh} $CONFIG_STATUS || exit 1
1435 # build cmake
1436 $RUNMAKE
1437 # run cmake
1438 ./Source/cmake $fullSrcDir
1439 # run cmake depends
1440 $RUNMAKE depend